JACK-AUDIO-CONNECTION-KIT 0.125.0

Data Fields
jack_description_t Struct Reference
Metadata API.

`#include <metadata.h>`

## Data Fields
jack_uuid_t | subject
uint32_t | property_cnt
jack_property_t * | properties
uint32_t | property_size

## Detailed Description

A description of a subject (a set of properties).

## Field Documentation

## ◆ properties

jack_property_t* jack_description_t::properties

Array of properties.

## ◆ property_cnt

uint32_t jack_description_t::property_cnt

Number of elements in "properties".

## ◆ property_size

uint32_t jack_description_t::property_size

Private, do not use.

## ◆ subject

jack_uuid_t jack_description_t::subject

Subject being described.

The documentation for this struct was generated from the following file:

- metadata.h